<template>
	<div>
		<el-input v-if="filter === 'like'" @input="(value) => input(value)" v-model="modelValue[0]" style="width: 226.4px" clearable />
		<TimeRange v-model="modelValue" v-if="filter === 'time_range'" @change="input" />
	</div>
</template>

<script setup lang="ts" name="TableSearch">
import TimeRange from '/@/components/chat/chatComponents/summaryCom/components/recordSet/components/TimeRange.vue';
import { TimeRangeEnum } from '/@/components/chat/chatComponents/summaryCom/components/recordSet/components/types';
const props = defineProps(['filter']);
const emit = defineEmits(['input']);
const modelValue = defineModel({
	type: Array<string>,
	default: [''],
});

const input = (value) => {
	emit('input', value);
};
</script>
<style scoped lang="scss"></style>
